YITH WooCommerce Bulk Product Editing Premium

Please update YITH WooCommerce Bulk Product Editing Premium 2.5.0 to 2.11.0. @Steve

Hi carlitos.nmf,

We would LOVE to update to its latest version, but we encountered an issue with the activation with its latest version. We’re unable to bypass the security in its latest version, as it’s making a lot of server API calls. We will update the file as soon as possible once we got a solution for this.

Please read this topic for more information:

Hello, the plugin is asking for a licence. How do I fix it?

Please update YITH WooCommerce Bulk Product Editing Premium 2.5.0 to 3.1.0. @Steve

Hi Bulent_Yuksel,

We would LOVE to update to its latest version, but we encountered an issue with the activation with its latest version. We’re unable to bypass the security in its latest version, as it’s making a lot of server API calls. We will update the file as soon as possible once we got a solution for this.

Please read this topic for more information:

Please update YITH WooCommerce Bulk Product Editing Premium 2.5.0 to 3.2.0 @Steve

YITH WooCommerce Bulk Product Editing has been updated to 3.1.0.

Please update YITH WooCommerce Bulk Product Editing Premium 3.1.0 to 3.2.0. @Steve

Hi jorgemajjul,

We would LOVE to update to its latest version, but we encountered an issue with the activation with its latest version. We’re unable to bypass the security in its latest version, as it’s making a lot of server API calls. We will update the file as soon as possible once we got a solution for this.

Please read this topic for more information:

Please update YITH WooCommerce Bulk Product Editing Premium 3.1.0 to 3.3.0. @Steve

Hi BigMaster,

We would LOVE to update to its latest version, but we encountered an issue with the activation with its latest version. We’re unable to bypass the security in its latest version, as it’s making a lot of server API calls. We will update the file as soon as possible once we got a solution for this.

Please read this topic for more information:

YITH WooCommerce Bulk Product Editing Premium has been updated to 3.5.0. You can download this version from here.

This is another update that completely breaks the site. Guys… I’m paying month after month, but at this point I actually choose to update your plugins as late as possible because almost at every update session the site breaks down and we need to fix it. Last time it was Pixel Manager (was never fixed), now it’s Yith Bulk Editing. I know Yith is notoriously difficult, but if you cannot do a safe update, then TAKE IT OUT of your vault. It’s just time and stress consuming. Every time we hit the “Update” button we’re sweating blood, as chances are, the site will show the white screen… You were the best GPL provider by far, and I’m thankful for the help you provide, but you’ve become a tad over-bloated and the updates cannot be counted on anymore. God forbid one enables auto-updates… Please, look into these things more seriously.

Hi @dorkmaul,

Thanks for your report and voicing your concerns. We’re sorry you’re having an issue with this download.

What exactly is not working for you?

As you can see, this is the latest version of this plugin:

Here I demonstrate the working pro features of this plugin:

Please note that they display a popup that says:

Please, enter a license key to use this plugin.

Remember: Only with an active license you'll be able **to get support and to keep the plugin updated** to prevent bugs and errors.

This license key is only required for automatic updates and support from YITH. As we provide both, you do not need it.

So please tell me how this particular update ‘breaks your website’? Thanks!

Please update YITH WooCommerce Bulk Product Editing Premium from 3.5.0 to 3.6.0. @Steve

Please update YITH WooCommerce Bulk Product Editing Premium from 3.5.0 to 3.6.0. @Steve

Please update YITH WooCommerce Bulk Product Editing Premium from 3.5.0 to 3.7.0. @Steve

Please update YITH WooCommerce Bulk Product Editing Premium from 3.5.0 to 3.8.0. @Steve